package com.jwipc.finance.convert;

import com.jwipc.finance.dto.PaymentPlanDTO;
import com.jwipc.finance.entity.PaymentPlan;
import com.jwipc.finance.model.po.PaymentPlanPO;
import org.mapstruct.Mapper;

import java.util.List;

/**
 * @author 邓京术
 * @date 2025/07/22 11:39
 * @desc
 */
@Mapper(componentModel = "spring")
public interface PaymentPlanClientConvert {
    List<PaymentPlanDTO> po2PageListDTO(List<PaymentPlanPO> paymentPlanPOS);

    PaymentPlanDTO entity2DTO(PaymentPlan paymentPlan);
    PaymentPlanDTO poy2DTO(PaymentPlanPO paymentPlanPO);

    PaymentPlan DTO2Entity(PaymentPlanDTO head);
}
